<?php

// Tool by CodeJackr
// Tutorial Blog: www.server-verstehen.de


system('clear');

$var_path = readline('Pfad zur Speicherung des neuen TS3AudioBot: ');
$bot_name = readline('Name des neuen TS3AudioBot: ');
$ts3_address = readline('TeamSpeak 3 Server IP-Adresse: ');
$ts3_port = readline('TeamSpeak 3 Server Port (Default: 9987): ');

$rights = readline('Deine TeamSpeak 3 UID (Admin Rechte auf Bot vergeben): ');

if (!is_dir($var_path."\CodeJackr_TS3AudioBot")) {


    mkdir($var_path."\CodeJackr_TS3AudioBot");


}

chdir($var_path."\CodeJackr_TS3AudioBot");

if (!is_file($var_path."\CodeJackr_TS3AudioBot\TS3AudioBot.zip")) {



    $url = "http://update.rawnetworks.eu/2022/ts3ab/TS3AudioBot.zip";

    $downloadedFile = file_get_contents($url);

    file_put_contents("TS3AudioBot.zip", $downloadedFile);

} else {

}

$zip = new ZipArchive;
if ($zip->open($var_path."\CodeJackr_TS3AudioBot\TS3AudioBot.zip") === TRUE) {
    $zip->extractTo($var_path."\CodeJackr_TS3AudioBot");
    $zip->close();
    echo 'ZIP wurde entpackt!';
} else {
    echo 'Fehler beim entpacken der ZIP Datei...';
}

echo PHP_EOL;

if (is_file($var_path."\CodeJackr_TS3AudioBot\TS3AudioBot.zip")) {

    $file_pointer = $var_path."\CodeJackr_TS3AudioBot\TS3AudioBot.zip";

// Use unlink() function to delete a file
    if (!unlink($file_pointer)) {
        echo ("$file_pointer cannot be deleted due to an error");
    }
    else {
        echo ("$file_pointer has been deleted");
    }

    echo PHP_EOL;

}

echo PHP_EOL;

echo "Downloading required Audio Extensions: ffmpeg, youtube-dl...";



chdir($var_path."\CodeJackr_TS3AudioBot");


    $url = "http://update.rawnetworks.eu/2022/ts3ab/ffmpeg.exe";

    $downloadedFile = file_get_contents($url);

    file_put_contents("ffmpeg.exe", $downloadedFile);

// disabled exec( $var_path."\CodeJackr_TS3AudioBot\TS3AudioBot.exe");
// disabled sleep(5);

// disabled shell_exec("taskkill /F /IM $var_path.'\CodeJackr_TS3AudioBot\TS3AudioBot.exe'");

chdir($var_path."\CodeJackr_TS3AudioBot");


$url = "http://update.rawnetworks.eu/2022/ts3ab/youtube-dl.exe";

$downloadedFile = file_get_contents($url);

file_put_contents("youtube-dl.exe", $downloadedFile);

echo PHP_EOL;

chdir($var_path."\CodeJackr_TS3AudioBot");


// Get Config Files

$url = "http://update.rawnetworks.eu/2022/ts3ab/conf_ts3ab.zip";

$downloadedFile = file_get_contents($url);

file_put_contents("conf_ts3ab.zip", $downloadedFile);

echo PHP_EOL;

chdir($var_path."\CodeJackr_TS3AudioBot");



$zip = new ZipArchive;
if ($zip->open($var_path."\CodeJackr_TS3AudioBot\conf_ts3ab.zip") === TRUE) {
    $zip->extractTo($var_path."\CodeJackr_TS3AudioBot");
    $zip->close();
    echo 'ZIP wurde entpackt!';
} else {
    echo 'Fehler beim entpacken der ZIP Datei...';
}





chdir($var_path."\CodeJackr_TS3AudioBot");

// Bot Name replace conf

$oldMessage = 'name = "TS3AudioBot"';

$deletedFormat = 'name = "'.$bot_name.'"';

//read the entire string
$str=file_get_contents('ts3audiobot.toml');

//replace something in the file string - this is a VERY simple example
$str=str_replace($oldMessage, $deletedFormat,$str);

//write the entire string
file_put_contents('ts3audiobot.toml', $str);

echo PHP_EOL;

echo "Config wurde geschrieben!";

chdir($var_path."\CodeJackr_TS3AudioBot");

// ts3 adresse replace conf

$oldMessage = 'address = ""';

$deletedFormat = 'address = "'.$ts3_address.':'.$ts3_port.'"';

//read the entire string
$str=file_get_contents('ts3audiobot.toml');

//replace something in the file string - this is a VERY simple example
$str=str_replace($oldMessage, $deletedFormat,$str);

//write the entire string
file_put_contents('ts3audiobot.toml', $str);

echo PHP_EOL;

echo "Config wurde geschrieben!";

chdir($var_path."\CodeJackr_TS3AudioBot");

// rights replace conf

$oldMessage = '	useruid = []';

$deletedFormat = 'useruid = ["'.$rights.'"]';

//read the entire string
$str=file_get_contents('rights.toml');

//replace something in the file string - this is a VERY simple example
$str=str_replace($oldMessage, $deletedFormat,$str);

//write the entire string
file_put_contents('rights.toml', $str);

echo PHP_EOL;

echo "Config wurde geschrieben!";

sleep(1);


chdir($var_path."\CodeJackr_TS3AudioBot");

// Bug Fix Connector

// Get Config Files

$url = "http://update.rawnetworks.eu/2022/ts3ab/bot.zip";

$downloadedFile = file_get_contents($url);

file_put_contents("bot.zip", $downloadedFile);

echo PHP_EOL;

if (!is_dir($var_path."\CodeJackr_TS3AudioBot\bots")) {


    mkdir($var_path."\CodeJackr_TS3AudioBot\bots");


}

if (!is_dir($var_path."\CodeJackr_TS3AudioBot\bots\default")) {


    mkdir($var_path."\CodeJackr_TS3AudioBot\bots\default");


}


$zip = new ZipArchive;
if ($zip->open($var_path."\CodeJackr_TS3AudioBot\bot.zip") === TRUE) {
    $zip->extractTo($var_path."\CodeJackr_TS3AudioBot\bots\default");
    $zip->close();
    echo 'ZIP wurde entpackt!';
} else {
    echo 'Fehler beim entpacken der ZIP Datei...';
}

// ts3address fix bug replace conf

$oldMessage = 'address = "ts3.janhill.email:1337"';

$deletedFormat = 'address = "'.$ts3_address.':'.$ts3_port.'"';

//read the entire string
$str=file_get_contents($var_path."\CodeJackr_TS3AudioBot\bots\default\bot.toml");

//replace something in the file string - this is a VERY simple example
$str=str_replace($oldMessage, $deletedFormat,$str);

//write the entire string
file_put_contents($var_path."\CodeJackr_TS3AudioBot\bots\default\bot.toml", $str);



$pro_answer = shell_exec($var_path."\CodeJackr_TS3AudioBot\TS3AudioBot.exe");
echo $pro_answer."</br>";


